pqxx::in_doubt_error Struct Reference
Exception classes

"Help, I don't know whether transaction was committed successfully!" More...

`#include <except.hxx>`

Inheritance diagram for pqxx::in_doubt_error:
[legend]

## Public Member Functions

| in_doubt_error (std::string const &)
Public Member Functions inherited from pqxx::failure
| failure (std::string const &)

## Detailed Description

"Help, I don't know whether transaction was committed successfully!"

Exception that might be thrown in rare cases where the connection to the database is lost while finishing a database transaction, and there's no way of telling whether it was actually executed by the backend. In this case the database is left in an indeterminate (but consistent) state, and only manual inspection will tell which is the case.

## Constructor & Destructor Documentation

## in_doubt_error()

pqxx::in_doubt_error::in_doubt_error | ( | std::string const & | whatarg | ) |

explicit

The documentation for this struct was generated from the following files:

- except.hxx
- except.cxx